<?php

/**
 * @file
 * Bulk export of slick_optionset objects generated by Bulk export module.
 *
 * Contains:
 * 3d back, Blog, Carousel, Fullscreen, Grid, Main, Slick for, Slick nav.
 */

use Drupal\slick\Entity\Slick;

/**
 * Implements hook_slick_optionsets().
 */
function slick_example_slick_optionsets() {
  $optionsets = [];

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_3d_back';
  $optionset->label = 'X 3d back';
  $optionset->breakpoints = 2;
  $optionset->skin = 'd3-back';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'centerMode' => TRUE,
      'dots' => TRUE,
      'initialSlide' => 2,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 3,
      'cssEase' => 'cubic-bezier(0.470, 0.000, 0.745, 0.715)',
    ],
    'responsives' => [
      'responsive' => [
        0 => [
          'breakpoint' => 900,
          'unslick' => FALSE,
          'settings' => [
            'centerMode' => TRUE,
            'dots' => TRUE,
          ],
        ],
        1 => [
          'breakpoint' => 480,
          'unslick' => FALSE,
          'settings' => [
            'centerMode' => TRUE,
            'dots' => TRUE,
          ],
        ],
      ],
    ],
  ];
  $optionsets['x_3d_back'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_blog';
  $optionset->label = 'X Blog';
  $optionset->breakpoints = 0;
  $optionset->skin = 'default';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'dots' => TRUE,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 1,
    ],
  ];
  $optionsets['x_blog'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_carousel';
  $optionset->label = 'X Carousel';
  $optionset->breakpoints = 4;
  $optionset->skin = 'default';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'centerMode' => TRUE,
      'centerPadding' => '200px',
      'dots' => TRUE,
      'focusOnSelect' => TRUE,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 3,
    ],
    'responsives' => [
      'responsive' => [
        0 => [
          'breakpoint' => 1100,
          'unslick' => FALSE,
          'settings' => [
            'centerMode' => TRUE,
            'centerPadding' => '150px',
          ],
        ],
        1 => [
          'breakpoint' => 1000,
          'unslick' => FALSE,
          'settings' => [
            'centerMode' => TRUE,
            'centerPadding' => '100px',
          ],
        ],
        2 => [
          'breakpoint' => 900,
          'unslick' => FALSE,
          'settings' => [
            'centerMode' => TRUE,
          ],
        ],
        3 => [
          'breakpoint' => 800,
          'unslick' => FALSE,
          'settings' => [],
        ],
      ],
    ],
  ];
  $optionsets['x_carousel'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_fullscreen';
  $optionset->label = 'X Fullscreen';
  $optionset->breakpoints = 1;
  $optionset->skin = 'fullscreen';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'dots' => TRUE,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 1,
      'swipeToSlide' => TRUE,
    ],
    'responsives' => [
      'responsive' => [
        0 => [
          'breakpoint' => 768,
          'unslick' => FALSE,
          'settings' => [
            'dots' => TRUE,
          ],
        ],
      ],
    ],
  ];
  $optionsets['x_fullscreen'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_grid';
  $optionset->label = 'X Grid';
  $optionset->breakpoints = 0;
  $optionset->skin = 'grid';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'dots' => TRUE,
      'infinite' => FALSE,
      'lazyLoad' => 'ondemand',
      'slidesToShow' => 1,
      'edgeFriction' => 1,
    ],
  ];
  $optionsets['x_grid'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_main';
  $optionset->label = 'X Fullwidth';
  $optionset->breakpoints = 1;
  $optionset->skin = 'fullwidth';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'dots' => TRUE,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 1,
      'swipeToSlide' => TRUE,
      'edgeFriction' => 0.15,
    ],
    'responsives' => [
      'responsive' => [
        0 => [
          'breakpoint' => 480,
          'unslick' => FALSE,
          'settings' => [
            'arrows' => FALSE,
          ],
        ],
      ],
    ],
  ];
  $optionsets['x_main'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_slick_for';
  $optionset->label = 'X Slick for';
  $optionset->breakpoints = 0;
  $optionset->skin = 'classic';
  $optionset->collection = 'main';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'arrows' => FALSE,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 1,
    ],
  ];
  $optionsets['x_slick_for'] = $optionset;

  $optionset = new Slick();
  $optionset->disabled = FALSE; /* Edit this to true to make a default optionset disabled initially */
  $optionset->api_version = 3;
  $optionset->name = 'x_slick_nav';
  $optionset->label = 'X Thumbnail Slick nav';
  $optionset->breakpoints = 2;
  $optionset->skin = 'asnavfor';
  $optionset->collection = 'thumbnail';
  $optionset->optimized = 1;
  $optionset->options = [
    'options__active_tab' => 'edit-options-responsives',
    'settings' => [
      'prevArrow' => '<button type="button" data-role="none" class="slick-prev">Previous</button>',
      'nextArrow' => '<button type="button" data-role="none" class="slick-next">Next</button>',
      'centerMode' => TRUE,
      'centerPadding' => '0',
      'dots' => TRUE,
      'focusOnSelect' => TRUE,
      'lazyLoad' => 'progressive',
      'slidesToShow' => 7,
    ],
    'responsives' => [
      'responsive' => [
        0 => [
          'breakpoint' => 900,
          'unslick' => FALSE,
          'settings' => [
            'arrows' => FALSE,
            'centerMode' => TRUE,
            'centerPadding' => '20px',
            'dots' => TRUE,
            'focusOnSelect' => TRUE,
            'slidesToShow' => 5,
          ],
        ],
        1 => [
          'breakpoint' => 481,
          'unslick' => FALSE,
          'settings' => [
            'arrows' => FALSE,
            'centerMode' => TRUE,
            'centerPadding' => '10px',
            'dots' => TRUE,
            'focusOnSelect' => TRUE,
            'slidesToShow' => 3,
          ],
        ],
      ],
    ],
  ];
  $optionsets['x_slick_nav'] = $optionset;

  return $optionsets;
}
